# eric7.Preferences.ConfigurationPages.EditorHighlightingStylesSelectionDialog

Module implementing a dialog to select the styles to be imported/exported.

### Global Attributes

None

### Classes

EditorHighlightingStylesSelectionDialog | Class implementing a dialog to select the styles to be imported/exported.

### Functions

None

## EditorHighlightingStylesSelectionDialog

Class implementing a dialog to select the styles to be imported/exported.

### Derived from

QDialog, Ui_EditorHighlightingStylesSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

EditorHighlightingStylesSelectionDialog | Constructor
__updateOkButton | Private slot to update the state of the OK button.
getLexerNames | Public method to get the selected lexer names.
on_buttonBox_clicked | Private slot to handle the user pressing a button.
on_lexersList_itemChanged | Private slot to react on changes in check state.

### Static Methods

None

#### EditorHighlightingStylesSelectionDialog (Constructor)

EditorHighlightingStylesSelectionDialog(lexerNames, forImport, preselect=None, parent=None)

Constructor

lexerNames (list of str)
  list of lexer names to select from
forImport (bool)
  flag indicating a dialog for importing styles
preselect (list of str)
  list of lexer names to be preselected
parent (QWidget)
  reference to the parent widget

#### EditorHighlightingStylesSelectionDialog.__updateOkButton

__updateOkButton()

Private slot to update the state of the OK button.

#### EditorHighlightingStylesSelectionDialog.getLexerNames

getLexerNames()

Public method to get the selected lexer names.

Return:
  list of selected lexer names

Return Type:
  list of str

#### EditorHighlightingStylesSelectionDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot to handle the user pressing a button.

button (QAbstractButton)
  reference to the button pressed

#### EditorHighlightingStylesSelectionDialog.on_lexersList_itemChanged

on_lexersList_itemChanged(item)

Private slot to react on changes in check state.

item (QListWidgetItem)
  reference to the changed item

Up